Bug 116801 - Fileopen DOCX: text in table is in the first column only
Summary: Fileopen DOCX: text in table is in the first column only
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-04 15:26 UTC by Nerijus Baliūnas
Modified: 2018-05-04 15:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (32.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-04-04 15:27 UTC, Nerijus Baliūnas
Details
Word 2013 screenshot (93.50 KB, image/png)
2018-04-04 15:28 UTC, Nerijus Baliūnas
Details
Libreoffice screenshot page 1 (98.64 KB, image/png)
2018-04-04 15:28 UTC, Nerijus Baliūnas
Details
Libreoffice screenshot page 2 (92.58 KB, image/png)
2018-04-04 15:28 UTC, Nerijus Baliūnas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nerijus Baliūnas 2018-04-04 15:26:53 UTC
Description:
Text in table is in the first column only. I will attach screenshots of Word 2013 (correct display) and Libreoffice 6.0.2.1 (incorrect display).

Steps to Reproduce:
Open attached file.

Actual Results:  
Incorrect display.

Expected Results:
Correct display.


Reproducible: Always


User Profile Reset: Yes



Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Nerijus Baliūnas 2018-04-04 15:27:35 UTC
Created attachment 141084 [details]
test file
Comment 2 Nerijus Baliūnas 2018-04-04 15:28:03 UTC
Created attachment 141085 [details]
Word 2013 screenshot
Comment 3 Nerijus Baliūnas 2018-04-04 15:28:28 UTC
Created attachment 141086 [details]
Libreoffice screenshot page 1
Comment 4 Nerijus Baliūnas 2018-04-04 15:28:51 UTC
Created attachment 141087 [details]
Libreoffice screenshot page 2
Comment 5 Timur 2018-04-04 16:55:31 UTC
Was OK up to LO 4.3.7 and differently wrong from 4.4 with empty table.
Current behavior repro with 5.0 and 6.1+ master. 
Seems like previous regression from 4.4 wasn't properly fixed from 5.0.
Comment 6 Xisco Faulí 2018-04-09 21:47:52 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-10-16 11:05:03 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-10-16 11:12:04 +0200
commit	3be8ff052f8aa67919343730d675493308759ffc (patch)
tree	0abb7e5af06eb3a0dd6f069270da1b758fc63be7
parent	9c9831f79cf0413c0cd947449bf8253fe09a224f (diff)
fdo#77716 DOCX import: fix handling of user-defined Standard style

Bisected with: bibisect-44max 

Adding Cc: to Miklos Vajna
Comment 7 Commit Notification 2018-05-03 06:51:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebcf27d419e41a497242c98fcfec08a2088c0720

tdf#116801 DOCX import: char styles have no IsAutoUpdate property

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-05-03 10:27:29 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: f1579d3d6c5f5f3a651825e035b93bee7a4f43c6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Miklos, Thanks for fixing this!!
Comment 9 Commit Notification 2018-05-04 15:31:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2019109e20dc522dd3bd6a730bf639efc2c00309&h=libreoffice-6-0

tdf#116801 DOCX import: char styles have no IsAutoUpdate property

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.